Loading...
Searching...
No Matches
WGPUSharedTextureMemoryDmaBufDescriptor Struct Reference

`#include <mini_webgpu.h>`

## Public Attributes

WGPUChainedStruct | chain
WGPUExtent3D | size
uint32_t | drmFormat
uint64_t | drmModifier
size_t | planeCount
WGPUSharedTextureMemoryDmaBufPlane const * | planes

## Detailed Description

Definition at line 1903 of file mini_webgpu.h.

## Member Data Documentation

## chain

WGPUChainedStruct WGPUSharedTextureMemoryDmaBufDescriptor::chain

Definition at line 1904 of file mini_webgpu.h.

## size

WGPUExtent3D WGPUSharedTextureMemoryDmaBufDescriptor::size

Definition at line 1905 of file mini_webgpu.h.

## drmFormat

uint32_t WGPUSharedTextureMemoryDmaBufDescriptor::drmFormat

Definition at line 1906 of file mini_webgpu.h.

## drmModifier

uint64_t WGPUSharedTextureMemoryDmaBufDescriptor::drmModifier

Definition at line 1907 of file mini_webgpu.h.

## planeCount

size_t WGPUSharedTextureMemoryDmaBufDescriptor::planeCount

Definition at line 1908 of file mini_webgpu.h.

## planes

WGPUSharedTextureMemoryDmaBufPlane const* WGPUSharedTextureMemoryDmaBufDescriptor::planes

Definition at line 1909 of file mini_webgpu.h.

The documentation for this struct was generated from the following file:

- src/runtime/mini_webgpu.h